// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MutMix {
    
    
    public partial class ViewFiles {
        
        private Gtk.HBox hbox1;
        
        private Gtk.FileChooserWidget FileCh;
        
        private Gtk.VBox vbox1;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TextView TextVF;
        
        private Gtk.Button BtnView;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MutMix.ViewFiles
            this.Name = "MutMix.ViewFiles";
            this.Title = Mono.Unix.Catalog.GetString("ViewFiles");
            this.Icon = Stetic.IconLoader.LoadIcon(this, "stock_chart-edit-type", Gtk.IconSize.Menu, 16);
            this.WindowPosition = ((Gtk.WindowPosition)(1));
            this.Modal = true;
            // Container child MutMix.ViewFiles.Gtk.Container+ContainerChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            this.hbox1.BorderWidth = ((uint)(9));
            // Container child hbox1.Gtk.Box+BoxChild
            this.FileCh = new Gtk.FileChooserWidget(((Gtk.FileChooserAction)(0)));
            this.FileCh.Name = "FileCh";
            this.FileCh.ShowHidden = true;
            this.hbox1.Add(this.FileCh);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.hbox1[this.FileCh]));
            w1.Position = 0;
            // Container child hbox1.Gtk.Box+BoxChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            this.GtkScrolledWindow.BorderWidth = ((uint)(9));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.TextVF = new Gtk.TextView();
            this.TextVF.WidthRequest = 300;
            this.TextVF.CanFocus = true;
            this.TextVF.Name = "TextVF";
            this.TextVF.Editable = false;
            this.GtkScrolledWindow.Add(this.TextVF);
            this.vbox1.Add(this.GtkScrolledWindow);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox1[this.GtkScrolledWindow]));
            w3.Position = 0;
            // Container child vbox1.Gtk.Box+BoxChild
            this.BtnView = new Gtk.Button();
            this.BtnView.CanFocus = true;
            this.BtnView.Name = "BtnView";
            this.BtnView.UseUnderline = true;
            this.BtnView.Label = Mono.Unix.Catalog.GetString("View");
            this.vbox1.Add(this.BtnView);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox1[this.BtnView]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            this.hbox1.Add(this.vbox1);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.hbox1[this.vbox1]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            this.Add(this.hbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 686;
            this.DefaultHeight = 425;
            this.Show();
            this.BtnView.Clicked += new System.EventHandler(this.OnBtnViewClicked);
        }
    }
}
